# Create a Transfer

Create a `Transfer`.

Endpoint: POST /transfers
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see [Versioning](../../../../additional-resources/developers/authentication-and-api-basics/versioning).

  - `Content-Type` (string)
    The data type being sent in the request body must be `application/json`.

## Request fields (application/json):

  - `amount` (integer, required)
    The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
    Example: 5000

  - `currency` (string, required)
    ISO 4217 3-letter currency code.
    Enum: "CAD", "USD"

  - `merchant` (string, required)
    The ID of the `Merchant` under which to create the `Transfer`.

  - `source` (string, required)
    ID of the `Payment Instrument` where funds get debited.
    Example: PIxxxxxxxxxxxxxxxxxx

  - `3d_secure_authentication` (object)
    The 3D secure information required to create a 3D secure `Transfer.`

  - `3d_secure_authentication.cardholder_authentication` (string, required)
    Provides evidence that the cardholder authentication occurred or that the merchant attempted authentication. This is unique for each authentication transaction and is sometimes referred to as the cardholder authentication verification value (CAVV).

  - `3d_secure_authentication.electronic_commerce_indicator` (string, required)
    - **AUTHENTICATED**: Approved by 3D Secure Vendor.
- **ATTEMPTED**: Issuer or cardholder does not support 3D Secure.
- **NON_AUTHENTICATED**: Did not pass in 3D Secure Data or passed in incorrect data when attempting 3D Secure.

  - `3d_secure_authentication.transaction_id` (string, required)
    Unique identifier for the 3D Secure transaction.

  - `additional_buyer_charges` (object)
    Details about any [Buyer Charges](/guides/online-payments/payment-features/buyer-charges) included in the `Transfer`. The buyer charges are mutually exclusive.

  - `additional_buyer_charges.convenience_amount` (integer)
    A convenience fee to charge the buyer for the transaction. This object property is mutually exclusive.

  - `additional_buyer_charges.rent_surcharge_amount` (integer)
    A rent surcharge to charge the buyer for the transaction. This object property is mutually exclusive.

  - `additional_buyer_charges.surcharge_amount` (integer)
    A surcharge amount to charge the buyer for the transaction. This object property is mutually exclusive.

  - `additional_purchase_data` (object)
    Additional information about the purchase used for [Level 2 and Level 3 Processing](/guides/online-payments/payment-features/level-2-level-3-processing). Please note that Visa is ending its Level 2 offering in April 2026.

  - `additional_purchase_data.customer_reference_number` (string)
    A unique reference ID for the order such as a purchase order (PO) number or invoice number. A purchase order number (PO number) is a unique code assigned to a specific order of goods or services. The buyer creates this number when they make a purchase order. It helps both the buyer and the seller track the order, match invoices, and keep accurate financial records.

  - `additional_purchase_data.customs_duty_amount` (integer)
    The duty in cents on the total purchase amount for the order.

  - `additional_purchase_data.destination_country_code` (string)
    The ISO country code of the order destination.

  - `additional_purchase_data.destination_postal_code` (string)
    The postal code of the order destination (10 characters).

  - `additional_purchase_data.discount_amount` (integer)
    The amount in cents of the discount for the order. You must include this field to qualify for Level 3 interchange benefits. Even if the value is (0), you should pass the field to qualify for Level 3.

  - `additional_purchase_data.invoice_reference_number` (string)
    The order's invoice number (max 15 characters).

  - `additional_purchase_data.order_date` (object)

  - `additional_purchase_data.order_date.day` (integer)
    Day of purchase (between 1 and 31).

  - `additional_purchase_data.order_date.month` (integer)
    Month of purchase (between 1 and 12).

  - `additional_purchase_data.order_date.year` (integer)
    Year of purchase (4-digit).

  - `additional_purchase_data.sales_tax` (integer)
    - Total aggregate tax amount in cents for the entire purchase. Field is automatically calculated if you pass in the itemized tax amounts.
- For non-taxable transactions either set `sales_tax` to 0 or omit from payload and also set `tax_exempt` to **True**.
- Request must align so `amount_excluding_sales_tax` + `sales_tax` = `amount_including_sales_tax`.
- For Visa, this field no longer qualifies for lower interchange after April 17, 2026. Include `item_data` for Level 3 processing.

  - `additional_purchase_data.sales_tax_finix_generated` (integer)
    The sales tax amount in cents Finix calculated from the `item_data` line items.

  - `additional_purchase_data.ship_from_postal_code` (string)
    The postal code from where order is shipped (10 characters).

  - `additional_purchase_data.shipping_amount` (integer)
    The shipping cost in cents for the order.

  - `additional_purchase_data.tax_exempt` (boolean)
    - For tax exempt purchases set to **True**.
- If set to **True**, request can't include `sales_tax`.

  - `additional_purchase_data.item_data` (array)
    Additional information about the transaction. Used for Level 2 and Level 3 Processing.

  - `additional_purchase_data.item_data.amount_excluding_sales_tax` (integer)
    - Total cost of the line item in cents, excluding tax.
- Must align with `sales_tax` so `amount_excluding_sales_tax` + `sales_tax` = `amount_including_sales_tax`.

  - `additional_purchase_data.item_data.amount_including_sales_tax` (integer)
    - Total cost of the line item in cents, including tax.
- Must align with `sales_tax` so `amount_excluding_sales_tax` + `sales_tax` = `amount_including_sales_tax`.

  - `additional_purchase_data.item_data.commodity_code` (string)
    A commodity code is a numeric code representing a particular product or service as defined by the National Institute of Governmental Purchasing. The code can be 3, 5, 7, or 11 digits in length. The longer the code the more granular the description of the product/service. (max 12 characters).

  - `additional_purchase_data.item_data.cost_per_unit` (integer)
    The price in cents, excluding tax, of one unit of the item purchased.

  - `additional_purchase_data.item_data.item_description` (string)
    Required when `item_data` is supplied (max 25 characters).

  - `additional_purchase_data.item_data.item_discount_amount` (integer)
    The item discount amount in cents. You must include this field to qualify for Level 3 interchange benefits. Even if the value is (0), you should pass the field to qualify for Level 3.

  - `additional_purchase_data.item_data.merchant_product_code` (string)
    Merchant defined product code (max 12 characters).

  - `additional_purchase_data.item_data.quantity` (number)
    The number of items purchased. Must be greater than 0.

  - `additional_purchase_data.item_data.unit_of_measure` (string)
    The unit of measure of the purchased item (max 3 characters).

  - `additional_purchase_data.item_data.sales_tax_amount` (integer)
    The sales tax amount in cents for the line item.

  - `additional_purchase_data.item_data.sales_tax_rate` (number)
    The sales tax rate for the line item as a decimal (e.g., 0.25 equals 25%).
    Example: 0.25

  - `credential_on_file` (object)
    Indicates that this transaction uses stored payment credentials (credential-on-file), meaning the cardholder previously authorized the merchant to save and reuse their payment details.

  - `credential_on_file.type` (string)
    The type of credential on file transfer. Must be one of the following values:
- `RECURRING`: A transfer that is part of a series of transfers scheduled at regular intervals. Interchange benefits for `RECURRING` transactions are available only to approved bill payment merchants in the telecommunications and cable industries (MCC 4814 and 4899).
- `UNSCHEDULED`: A merchant-initiated, one-time transaction using stored credentials, triggered when specific conditions in a cardholder agreement are met—not on a fixed schedule.
    Enum: "RECURRING", "UNSCHEDULED"

  - `destination` (string)
    ID of the `Payment Instrument` where funds will be sent. This field is only applicable to card or bank payouts.

  - `device` (string)
    The unique identifier of the activated device. This field is only applicable to card-present payments.

  - `fee_profile` (string)
    Optional field to specify which fee_profile to use for this `Transfer`. If not provided, the currently assigned `Fee Profile` will be used.

  - `idempotency_id` (string)
    Pass any randomly generated or internal ID to [idempotently](/api/section/idempotent-requests) identify `Transfers`, `Authorizations`, or refund requests.

  - `identity` (string)
    The ID of the buyer `Identity` to run the card present sale. Finix tokenizes the card associated with the provided `Identity` and processes the sale, removing the need to create a blank buyer `Identity`.

  - `ip_address_v4` (string)
    The card brands require the customer's IP address for online gaming clients. Only supports Internet Protocol version 4 (IPv4).
    Example: 192.168.1.1

  - `operation_key` (string)
    Details the operation that is be performed in the transaction.
    Enum: "CARD_NOT_PRESENT_SALE", "CARD_NOT_PRESENT_UNREFERENCED_REFUND", "CARD_PRESENT_DEBIT", "CARD_PRESENT_SALE", "CARD_PRESENT_UNREFERENCED_REFUND", "MERCHANT_CREDIT_ADJUSTMENT", "MERCHANT_DEBIT_ADJUSTMENT", "PULL_FROM_CARD", "PUSH_TO_ACH", "PUSH_TO_CARD", "PUSH_TO_SAME_DAY_ACH", "SALE", "UNREFERENCED_REFUND"

  - `partial_authorization` (boolean)
    - Set to `true` if you want to enable partial authorizations for a specific transaction.
- If `partial_authorization` is enabled for an individual transaction, the `Merchant` value for `default_partial_authorization_enabled` is disregarded.
- Partial authorizations enable you to collect a portion of the amount if the cardholder does not have the funds to cover the entire amount.

  - `receipt_options` (object)
    If provided, the information will be used to generate a receipt if the transaction is successful. These settings are used only for receipts via devices.

  - `receipt_options.additional_details` (array)
    An array of key-value pairs for including metadata or custom information related to the receipt. Each entry must contain a `name` and a corresponding `value` as strings.
These fields are currently supported for device-generated receipts only.

  - `receipt_options.additional_details.name` (string, required)
    The label or title for the additional detail. This should be a short, human-readable identifier such as "Invoice Number", "VIN", "Service Date", or "Technician".
    Example: Invoice Number

  - `receipt_options.additional_details.value` (string, required)
    The corresponding value for the detail. This can be any string that provides relevant context or information, such as an invoice number, vehicle identification number, or date.
    Example: 4FEBVZP0-0002

  - `receipt_options.amount_breakdown` (object)
    The individual charges/fees that add up to the total amount.

  - `receipt_options.amount_breakdown.subtotal_amount` (integer)
    The subtotal amount before any taxes, shipping, or additional charges are applied.

  - `receipt_options.amount_breakdown.shipping_amount` (integer)
    The amount charged for shipping the items in the order.

  - `receipt_options.amount_breakdown.estimated_tax_amount` (integer)
    The estimated amount of tax applied to the order.

  - `receipt_options.amount_breakdown.discount_amount` (integer)
    A reduction applied to the total amount.

  - `receipt_options.amount_breakdown.tip_amount` (integer)
    The tip amount included in the order total.

  - `receipt_options.items` (array)
    An itemized list of products/services.

  - `receipt_options.items.description` (string)
    A item description.

  - `receipt_options.items.image_details` (object)
    Product/service image locations.

  - `receipt_options.items.image_details.primary_image_url` (string)
    The location of a item image.

  - `receipt_options.items.image_details.alternative_image_urls` (array)
    The locations of backup images if there is an issue with the primary image.

  - `receipt_options.items.item_details` (object)
    Additional details about the item.

  - `receipt_options.items.item_details.commodity_code` (string)
    Commodity code for the item.
    Example: 175-62-20

  - `receipt_options.items.item_details.cost_per_unit` (integer)
    Cost per unit in cents.
    Example: 500

  - `receipt_options.items.item_details.merchant_product_code` (string)
    Merchant's product code for the item.
    Example: 1149611

  - `receipt_options.items.item_details.unit_of_measure` (string)
    Unit of measure for the item.
    Example: BX

  - `receipt_options.items.name` (string)
    The item name.

  - `receipt_options.items.price_details` (object)
    Additional details about the price.

  - `receipt_options.items.price_details.sale_amount` (integer)
    The on-sale price of the item if it is different from the `regular_amount`.

  - `receipt_options.items.price_details.price_type` (string)
    Whether the price is on-sale (`PROMOTIONAL`) or the normal price (`REGULAR`).
    Enum: "PROMOTIONAL", "REGULAR"

  - `receipt_options.items.price_details.regular_amount` (integer)
    The standard price of the item without any adjustments applied (e.g. discounts, taxes, sales).

  - `receipt_options.items.price_details.amount_excluding_sales_tax` (integer)
    The amount excluding sales tax.

  - `receipt_options.items.price_details.item_discount_amount` (integer)
    The item discount.

  - `receipt_options.items.quantity` (integer)
    The item quantity.

  - `receipt_options.requested_delivery_methods` (array)
    An array of delivery methods used to send the receipt.

  - `receipt_options.requested_delivery_methods.type` (string, required)
    The type of delivery method used to send the receipt.
    Enum: "EMAIL", "SMS", "PRINT"

  - `receipt_options.requested_delivery_methods.destinations` (array, required)
    A list of destinations to send the receipt.

  - `security_code` (string)
    The 3-or 4-digit security code for the card (i.e., the CVV code). While providing a CVV is optional, it is recommended to include it wherever possible to prevent fraud.

  - `split_transfers` (array)
    - An array used to detail how funds from the `Transfer` will split and the amount `Merchants` receive.
- The combined `amounts` under `split_transfers` must be equal to the `amount` submitted in the parent `Transfer.`
- For more information, see [Split Transactions](/guides/online-payments/payment-features/split-transactions).

  - `split_transfers.merchant` (string)
    - The ID of the `Merchant` that will receive the specified `amount` under the `split_transfers` object.
- In Split Transactions, the merchants specified in the `split_transfers` object are the ancillary merchants.

  - `split_transfers.amount` (integer)
    - The amount of funds that get split and paid out to the specified `Merchant`.
- Must be less than or equal to the `amount` of the `Transfer.`

  - `split_transfers.fee` (integer)
    - A processing fee is deducted when the `Merchant` receives their payout, specified in cents.
- Must be less than or equal to the total amount being split for the designated `Merchant`.
- By default, this fee is set to `0`.

  - `split_transfers.tags` (object)
    Include up to 50 `key: value` pairs to annotate requests with custom metadata.
- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.
(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

  - `statement_descriptor` (string)
    The description of the `Merchant` that appears on the card statement.

  - `supplemental_fee` (integer)
    Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

  - `3d_secure_session` (string, required)
    The ID of the `3D Secure Session` used for the buyer's authentication flow. It must correspond to `source` and must not already have been used by another transaction. For the redirect flow, wait for `state: SUCCEEDED`; with Finix.js, submit after the `succeeded` callback even if the resource still reads `PENDING`.
This field is mutually exclusive with `3d_secure_authentication`. Pass `3d_secure_session` when Finix runs the authentication, and `3d_secure_authentication` when you authenticate the buyer with your own 3D Secure vendor.
    Example: 3d_secure_session_9hK2mNp4T761RBv8qwLDYc

  - `merchant` (string, required)
    The ID of the [Merchant](/api/merchants) under which to create the [Transfer](/api/transfers). This must match the `merchant_id` of the `3D Secure Session`.

  - `destination` (string, required)
    Identifier of the `Payment Instrument` that will receive the payout.

  - `funds_flow_type` (string)
    The type of disbursement to perform. Defaults to `GENERAL_PAYOUT`.
    Enum: "GENERAL_PAYOUT", "ME_TO_ME", "GOVERNMENT"

  - `operation_key` (string, required)
    A key indicating the type of operation. Refer to the [Bank Payouts](/guides/payouts/bank-payouts) guide for an explanation of "Next Day" versus "Same Day" ACH.
    Enum: "PUSH_TO_ACH"

  - `operation_key` (string, required)
    A key indicating the type of operation. Refer to the [Bank Payouts](/guides/payouts/bank-payouts) guide for an explanation of "Next Day" versus "Same Day" ACH.
    Enum: "PUSH_TO_SAME_DAY_ACH"

  - `operation_key` (string, required)
    A key indicating that the operation type should be a card payout.
    Enum: "PUSH_TO_CARD"

  - `pull_transfer_id` (string)
    The ID of the corresponding pull `Transfer` to link for a `ME_TO_ME` transaction.
Required when `funds_flow_type` is `ME_TO_ME`. The linked `Transfer` must:
- Have an `operation_key` of `PULL_FROM_CARD`, `PULL_FROM_ACH`, or `PULL_FROM_SAME_DAY_ACH`
- Have a `state` of `SUCCEEDED`
- Be associated with the same `Identity` tied to the `Payment Instrument`

  - `device` (string, required)
    The ID of the activated device.

  - `operation_key` (string, required)
    A key indicating that the operation type should be a card-present sale.
    Enum: "CARD_PRESENT_SALE"

  - `receipt_options` (object)
    If provided the information will be used to generate a receipt if transaction is successful.

  - `device` (string, required)
    The ID of the `Device` the `Transfer` was created under.

  - `operation_key` (string, required)
    Provide the operation key for an [unreferenced refund](/guides/after-the-payment/refunds#unreferenced-refunds).
    Enum: "CARD_PRESENT_UNREFERENCED_REFUND"

  - `security_code` (string)
    The 3-or 4-digit security code for the card (i.e., the CVV code). Include the CVV code of the card to perform [Card Verification Checks](/guides/online-payments/fraud-and-risk/risk-rules-card-checks).

  - `fee_profile` (string)
    The ID of a [Fee Profile](/api/fee-profiles) to apply to the `Transfer`.

  - `additional_motor_vehicle_rental_data` (object)
    Object containing motor vehicle rental-specific fields for the `Transfer`. Optional for motor vehicle rental MCC transactions (MCC 3351–3500, 7512).

  - `additional_motor_vehicle_rental_data.motor_vehicle_rental_agreement_number` (string)
    The rental agreement or contract reference number for the rental. Max 9 characters; longer values are truncated.

  - `additional_motor_vehicle_rental_data.customer_service_number` (string)
    The phone number customers can call for support or inquiries related to their rental.

  - `additional_motor_vehicle_rental_data.extra_charge_details` (object)
    Additional charges beyond the base rental rate being billed. Each field represents a specific charge type, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.extra_mileage_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.fuel_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.insurance_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.late_return_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.one_way_service_fee_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.parking_violation_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.is_no_show` (boolean)
    An indicator that the cardholder is being billed for a reserved vehicle that was not actually rented (that is, a "no-show" charge).

  - `additional_motor_vehicle_rental_data.number_of_days` (integer)
    The total number of days for the vehicle rental.

  - `additional_motor_vehicle_rental_data.rental_rate` (string)
    The daily rental rate for the vehicle, in cents.

  - `additional_motor_vehicle_rental_data.renter_name` (string)
    The name of the person renting the vehicle.

  - `additional_motor_vehicle_rental_data.pickup_address` (object)
    The full address of the rental pickup location.

  - `additional_motor_vehicle_rental_data.pickup_address.line1` (string, required)
    First line of the address (max 35 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.line2` (string)
    Second line of the address (max 35 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.city` (string, required)
    City (max 20 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.region` (string, required)
    2-letter State code.

  - `additional_motor_vehicle_rental_data.pickup_address.postal_code` (string, required)
    Zip or Postal code (max 7 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.country` (string, required)
    Enum: "ABW", "AFG", "AGO", "AIA", "ALA", "ALB", "AND", "ARE", "ARG", "ARM", "ASM", "ATA", "ATF", "ATG", "AUS", "AUT", "AZE", "BDI", "BEL", "BEN", "BES", "BFA", "BGD", "BGR", "BHR", "BHS", "BIH", "BLM", "BLR", "BLZ", "BMU", "BOL", "BRA", "BRB", "BRN", "BTN", "BVT", "BWA", "CAF", "CAN", "CCK", "CHE", "CHL", "CHN", "CIV", "CMR", "COD", "COG", "COK", "COL", "COM", "CPV", "CRI", "CUB", "CUW", "CXR", "CYM", "CYP", "CZE", "DEU", "DJI", "DMA", "DNK", "DOM", "DZA", "ECU", "EGY", "ERI", "ESH", "ESP", "EST", "ETH", "FIN", "FJI", "FLK", "FRA", "FRO", "FSM", "GAB", "GBR", "GEO", "GGY", "GHA", "GIB", "GIN", "GLP", "GMB", "GNB", "GNQ", "GRC", "GRD", "GRL", "GTM", "GUF", "GUM", "GUY", "HKG", "HMD", "HND", "HRV", "HTI", "HUN", "IDN", "IMN", "IND", "IOT", "IRL", "IRN", "IRQ", "ISL", "ISR", "ITA", "JAM", "JEY", "JOR", "JPN", "KAZ", "KEN", "KGZ", "KHM", "KIR", "KNA", "KOR", "KWT", "LAO", "LBN", "LBR", "LBY", "LCA", "LIE", "LKA", "LSO", "LTU", "LUX", "LVA", "MAC", "MAF", "MAR", "MCO", "MDA", "MDG", "MDV", "MEX", "MHL", "MKD", "MLI", "MLT", "MMR", "MNE", "MNG", "MNP", "MRT", "MSR", "MTQ", "MUS", "MWI", "MYS", "MYT", "NAM", "NCL", "NER", "NFK", "NGA", "NIC", "NIU", "NLD", "NOR", "NPL", "NRU", "NZL", "OMN", "PAK", "PAN", "PCN", "PER", "PHL", "PLW", "PNG", "POL", "PRI", "PRK", "PRT", "PRY", "PSE", "PYF", "QAT", "REU", "ROU", "RUS", "RWA", "SAU", "SDN", "SEN", "SGP", "SGS", "SHN", "SJM", "SLB", "SLE", "SLV", "SMR", "SOM", "SPM", "SRB", "SSD", "STP", "SUR", "SVK", "SVN", "SWE", "SWZ", "SXM", "SYC", "SYR", "TCA", "TCD", "TGO", "THA", "TJK", "TKL", "TKM", "TLS", "TON", "TTO", "TUN", "TUR", "TUV", "TWN", "TZA", "UGA", "UKR", "UMI", "URY", "USA", "UZB", "VAT", "VCT", "VEN", "VGB", "VIR", "VNM", "VUT", "WLF", "WSM", "XKX", "YEM", "ZAF", "ZMB", "ZWE"

  - `additional_motor_vehicle_rental_data.pickup_date` (object)
    The scheduled vehicle pickup date.

  - `additional_motor_vehicle_rental_data.pickup_date.month` (integer)
    The month of the pickup date.

  - `additional_motor_vehicle_rental_data.pickup_date.day` (integer)
    The day of the pickup date.

  - `additional_motor_vehicle_rental_data.pickup_date.year` (integer)
    The year of the pickup date.

  - `additional_motor_vehicle_rental_data.return_address` (object)
    The full address of the vehicle return location.

  - `additional_motor_vehicle_rental_data.return_date` (object)
    The scheduled vehicle return date. Must be on or after `pickup_date`.

  - `additional_motor_vehicle_rental_data.return_date.month` (integer)
    The month of the return date.

  - `additional_motor_vehicle_rental_data.return_date.day` (integer)
    The day of the return date.

  - `additional_motor_vehicle_rental_data.return_date.year` (integer)
    The year of the return date.

  - `additional_lodging_data` (object)
    Object containing lodging-specific fields for the `Transfer`. Optional for lodging MCC transactions (MCC 3501–3999, 7011).

  - `additional_lodging_data.check_in_date` (object)
    The guest's scheduled arrival date.

  - `additional_lodging_data.check_in_date.month` (integer)
    The month of the check-in date.

  - `additional_lodging_data.check_in_date.day` (integer)
    The day of the check-in date.

  - `additional_lodging_data.check_in_date.year` (integer)
    The year of the check-in date.

  - `additional_lodging_data.check_out_date` (object)
    The guest's scheduled departure date. Must represent a date on or after `check_in_date`.

  - `additional_lodging_data.check_out_date.month` (integer)
    The month of the check-out date.

  - `additional_lodging_data.check_out_date.day` (integer)
    The day of the check-out date.

  - `additional_lodging_data.check_out_date.year` (integer)
    The year of the check-out date.

  - `additional_lodging_data.customer_service_phone` (string)
    The phone number guests can call for support or inquiries related to their stay.

  - `additional_lodging_data.extra_charge_details` (object)
    Additional charges billed beyond the room rate. Each field represents a specific charge type, in cents.

  - `additional_lodging_data.extra_charge_details.restaurant_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.mini_bar_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.laundry_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.other_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.phone_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.gift_shop_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.hotel_agreement_number` (string)
    The folio or agreement number associated with the reservation. Max 12 characters; longer values are truncated.

  - `additional_lodging_data.is_advance_deposit` (boolean)
    Indicates whether the lodging charge is an advance deposit.

  - `additional_lodging_data.is_no_show` (boolean)
    Set to `true` if the cardholder is being billed for a reserved room that was not occupied.

  - `additional_lodging_data.number_of_nights` (integer)
    The total number of nights for the lodging stay.

  - `additional_lodging_data.property_phone` (string)
    The direct phone number of the lodging property.

  - `additional_lodging_data.room_rate` (string)
    The nightly room rate, in cents.

  - `additional_lodging_data.room_tax` (string)
    The tax amount applied to the room rate, in cents.

  - `statement_descriptor` (string)
    The description of the `Merchant` that appears on the buyer's bank or card statement.

  - `credential_on_file` (object)
    An object that contains information about the credential on file transfer.
- `type`: The type of credential on file transfer. Must be one of the following values:
  - `RECURRING`: A transfer that is part of a series of transfers scheduled at regular intervals. Interchange benefits for `RECURRING` transactions are available only to approved bill payment merchants in the telecommunications and cable industries (MCC 4814 and 4899).
  - `UNSCHEDULED`: A merchant-initiated, one-time transaction using stored credentials, triggered when specific conditions in a cardholder agreement are met—not on a fixed schedule.

  - `credential_on_file.type` (string)
    Enum: "RECURRING", "UNSCHEDULED"

  - `operation_key` (string, required)
    A key indicating that the operation type should be a card pull for a `ME_TO_ME` transaction.
    Enum: "PULL_FROM_CARD"

  - `source` (string, required)
    Identifier of the `Payment Instrument` to pull funds from.

  - `operation_key` (string, required)
    A key indicating that the operation type should be an ACH pull for a `ME_TO_ME` transaction.
    Enum: "PULL_FROM_ACH"

  - `operation_key` (string, required)
    A key indicating that the operation type should be a same-day ACH pull for a `ME_TO_ME` transaction.
    Enum: "PULL_FROM_SAME_DAY_ACH"

  - `operation_key` (string, required)
    A key indicating that the operation type should be a card payout for a `ME_TO_ME` transaction.
    Enum: "PUSH_TO_CARD"

  - `pull_transfer_id` (string, required)
    The ID of the corresponding pull `Transfer` to link for a `ME_TO_ME` transaction.
Required when `funds_flow_type` is `ME_TO_ME`. The linked `Transfer` must:
- Have an `operation_key` of `PULL_FROM_CARD`, `PULL_FROM_ACH`, or `PULL_FROM_SAME_DAY_ACH`
- Have a `state` of `SUCCEEDED`
- Be associated with the same `Identity` tied to the `Payment Instrument`
- Have the same currency and amount

  - `operation_key` (string, required)
    A key indicating that the operation type should be an ACH payout for a `ME_TO_ME` transaction.
    Enum: "PUSH_TO_ACH"

  - `operation_key` (string, required)
    A key indicating that the operation type should be a same-day ACH payout for a `ME_TO_ME` transaction.
    Enum: "PUSH_TO_SAME_DAY_ACH"

## Request examples:

  - `Transfer - Minimal Fields` (unknown)

  - `Transfer - All Fields` (unknown)

  - `Transfer - Canada - EFT` (unknown)

  - `Transfer - 3D Secure` (unknown)

  - `Transfer - 3D Secure Session` (unknown)

  - `Transfer - Bank Payout` (unknown)

  - `Transfer - Bank Payout - Same Day` (unknown)

  - `Transfer - Card Payout` (unknown)

  - `Transfer - Card Present` (unknown)

  - `Transfer - Card Present - Unreferenced Refund` (unknown)

  - `Transfer - Card Verification Checks` (unknown)

  - `Transfer - Convenience Fee` (unknown)

  - `Transfer - Debit Bank Account` (unknown)

  - `Transfer - Fee Profile` (unknown)

  - `Transfer - Motor Vehicle Rental` (unknown)

  - `Transfer - Lodging` (unknown)

  - `Transfer - Gaming` (unknown)

  - `Transfer - Level 2 Processing` (unknown)

  - `Transfer - Level 3 Processing` (unknown)

  - `Transfer - Partial Authorization` (unknown)

  - `Transfer - Recurring or Unscheduled` (unknown)

  - `Transfer - Rent Surcharge` (unknown)

  - `Transfer - Split Transaction` (unknown)

  - `Transfer - Surcharge` (unknown)

  - `Transfer - Me to Me Pull - Card` (unknown)

  - `Transfer - Me to Me Pull - Bank` (unknown)

  - `Transfer - Me to Me Pull - Bank - Same Day` (unknown)

  - `Transfer - Me to Me Payout - Card` (unknown)

  - `Transfer - Me to Me Payout - Bank` (unknown)

  - `Transfer - Me to Me Payout - Bank - Same Day` (unknown)

## Response 201:

  - `201` (unknown)
    A single `Transfer` object.

## Response 201 fields (application/json):

  - `id` (string)
    The ID of the resource.

  - `created_at` (string)
    Timestamp of when the object was created.

  - `updated_at` (string)
    Timestamp of when the object was last updated.

  - `3d_secure_session` (string)
    The ID of the `3D Secure Session` that authenticated the buyer. This field is `null` when the payment was not authenticated with a `3D Secure Session`.
    Example: 3d_secure_session_f3fG3Zj8K958MTP5vpXAXX

  - `additional_buyer_charges` (object)
    Details about any [Buyer Charges](../../../../guides/online-payments/payment-features/buyer-charges) included in the `Transfer`. The buyer charges are mutually exclusive.

  - `additional_buyer_charges.convenience_amount` (integer)
    A convenience fee to charge the buyer for the transaction. This object property is mutually exclusive.

  - `additional_buyer_charges.rent_surcharge_amount` (integer)
    A rent surcharge to charge the buyer for the transaction. This object property is mutually exclusive.

  - `additional_buyer_charges.surcharge_amount` (integer)
    A surcharge amount to charge the buyer for the transaction. This object property is mutually exclusive.

  - `additional_healthcare_data` (object)

  - `additional_healthcare_data.clinic_amount` (integer)
    A clinic or other qualified medical amount for the transaction.

  - `additional_healthcare_data.dental_amount` (integer)
    The dental amount for the transaction.

  - `additional_healthcare_data.prescription_amount` (integer)
    The prescription/RX amount for the transaction.

  - `additional_healthcare_data.vision_amount` (integer)
    The vision/optical amount for the transaction.

  - `additional_lodging_data` (object)
    Contains lodging-specific fields for `Authorization` and `Transfer` requests. Optional for lodging MCC transactions (MCC 3501–3999, 7011). Returns `null` for all other transactions.

  - `additional_lodging_data.check_in_date` (object)
    The guest's scheduled arrival date.

  - `additional_lodging_data.check_in_date.month` (integer)
    The month of the check-in date.

  - `additional_lodging_data.check_in_date.day` (integer)
    The day of the check-in date.

  - `additional_lodging_data.check_in_date.year` (integer)
    The year of the check-in date.

  - `additional_lodging_data.check_out_date` (object)
    The guest's scheduled departure date. Must represent a date on or after `check_in_date`.

  - `additional_lodging_data.check_out_date.month` (integer)
    The month of the check-out date.

  - `additional_lodging_data.check_out_date.day` (integer)
    The day of the check-out date.

  - `additional_lodging_data.check_out_date.year` (integer)
    The year of the check-out date.

  - `additional_lodging_data.customer_service_phone` (string)
    The phone number guests can call for support or inquiries related to their stay.

  - `additional_lodging_data.extra_charge_details` (object)
    Additional charges billed beyond the room rate. Each field represents a specific charge type, in cents.

  - `additional_lodging_data.extra_charge_details.restaurant_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.mini_bar_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.laundry_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.other_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.phone_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.extra_charge_details.gift_shop_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_lodging_data.hotel_agreement_number` (string)
    The folio or agreement number associated with the reservation. Max 12 characters; longer values are truncated.

  - `additional_lodging_data.is_advance_deposit` (boolean)
    Indicates whether the lodging charge is an advance deposit.

  - `additional_lodging_data.is_no_show` (boolean)
    Set to `true` if the cardholder is being billed for a reserved room that was not occupied.

  - `additional_lodging_data.number_of_nights` (integer)
    The total number of nights for the lodging stay.

  - `additional_lodging_data.property_phone` (string)
    The direct phone number of the lodging property.

  - `additional_lodging_data.room_rate` (string)
    The nightly room rate, in cents.

  - `additional_lodging_data.room_tax` (string)
    The tax amount applied to the room rate, in cents.

  - `additional_motor_vehicle_rental_data` (object)
    Contains motor vehicle rental-specific fields for `Authorization` and `Transfer` requests. Optional for motor vehicle rental MCC transactions (MCC 3351–3500, 7512). Returns `null` for all other transactions.

  - `additional_motor_vehicle_rental_data.motor_vehicle_rental_agreement_number` (string)
    The rental agreement or contract reference number for the rental. Max 9 characters; longer values are truncated.

  - `additional_motor_vehicle_rental_data.customer_service_number` (string)
    The phone number customers can call for support or inquiries related to their rental.

  - `additional_motor_vehicle_rental_data.extra_charge_details` (object)
    Additional charges beyond the base rental rate being billed. Each field represents a specific charge type, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.extra_mileage_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.fuel_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.insurance_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.late_return_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.one_way_service_fee_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.extra_charge_details.parking_violation_amount` (integer)
    The amount of the additional charge, in cents.

  - `additional_motor_vehicle_rental_data.is_no_show` (boolean)
    An indicator that the cardholder is being billed for a reserved vehicle that was not actually rented (that is, a "no-show" charge).

  - `additional_motor_vehicle_rental_data.number_of_days` (integer)
    The total number of days for the vehicle rental.

  - `additional_motor_vehicle_rental_data.rental_rate` (string)
    The daily rental rate for the vehicle, in cents.

  - `additional_motor_vehicle_rental_data.renter_name` (string)
    The name of the person renting the vehicle.

  - `additional_motor_vehicle_rental_data.pickup_address` (object)
    The full address of the rental pickup location.

  - `additional_motor_vehicle_rental_data.pickup_address.line1` (string, required)
    First line of the address (max 35 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.line2` (string)
    Second line of the address (max 35 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.city` (string, required)
    City (max 20 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.region` (string, required)
    2-letter State code.

  - `additional_motor_vehicle_rental_data.pickup_address.postal_code` (string, required)
    Zip or Postal code (max 7 characters).

  - `additional_motor_vehicle_rental_data.pickup_address.country` (string, required)
    Enum: "ABW", "AFG", "AGO", "AIA", "ALA", "ALB", "AND", "ARE", "ARG", "ARM", "ASM", "ATA", "ATF", "ATG", "AUS", "AUT", "AZE", "BDI", "BEL", "BEN", "BES", "BFA", "BGD", "BGR", "BHR", "BHS", "BIH", "BLM", "BLR", "BLZ", "BMU", "BOL", "BRA", "BRB", "BRN", "BTN", "BVT", "BWA", "CAF", "CAN", "CCK", "CHE", "CHL", "CHN", "CIV", "CMR", "COD", "COG", "COK", "COL", "COM", "CPV", "CRI", "CUB", "CUW", "CXR", "CYM", "CYP", "CZE", "DEU", "DJI", "DMA", "DNK", "DOM", "DZA", "ECU", "EGY", "ERI", "ESH", "ESP", "EST", "ETH", "FIN", "FJI", "FLK", "FRA", "FRO", "FSM", "GAB", "GBR", "GEO", "GGY", "GHA", "GIB", "GIN", "GLP", "GMB", "GNB", "GNQ", "GRC", "GRD", "GRL", "GTM", "GUF", "GUM", "GUY", "HKG", "HMD", "HND", "HRV", "HTI", "HUN", "IDN", "IMN", "IND", "IOT", "IRL", "IRN", "IRQ", "ISL", "ISR", "ITA", "JAM", "JEY", "JOR", "JPN", "KAZ", "KEN", "KGZ", "KHM", "KIR", "KNA", "KOR", "KWT", "LAO", "LBN", "LBR", "LBY", "LCA", "LIE", "LKA", "LSO", "LTU", "LUX", "LVA", "MAC", "MAF", "MAR", "MCO", "MDA", "MDG", "MDV", "MEX", "MHL", "MKD", "MLI", "MLT", "MMR", "MNE", "MNG", "MNP", "MRT", "MSR", "MTQ", "MUS", "MWI", "MYS", "MYT", "NAM", "NCL", "NER", "NFK", "NGA", "NIC", "NIU", "NLD", "NOR", "NPL", "NRU", "NZL", "OMN", "PAK", "PAN", "PCN", "PER", "PHL", "PLW", "PNG", "POL", "PRI", "PRK", "PRT", "PRY", "PSE", "PYF", "QAT", "REU", "ROU", "RUS", "RWA", "SAU", "SDN", "SEN", "SGP", "SGS", "SHN", "SJM", "SLB", "SLE", "SLV", "SMR", "SOM", "SPM", "SRB", "SSD", "STP", "SUR", "SVK", "SVN", "SWE", "SWZ", "SXM", "SYC", "SYR", "TCA", "TCD", "TGO", "THA", "TJK", "TKL", "TKM", "TLS", "TON", "TTO", "TUN", "TUR", "TUV", "TWN", "TZA", "UGA", "UKR", "UMI", "URY", "USA", "UZB", "VAT", "VCT", "VEN", "VGB", "VIR", "VNM", "VUT", "WLF", "WSM", "XKX", "YEM", "ZAF", "ZMB", "ZWE"

  - `additional_motor_vehicle_rental_data.pickup_date` (object)
    The scheduled vehicle pickup date.

  - `additional_motor_vehicle_rental_data.pickup_date.month` (integer)
    The month of the pickup date.

  - `additional_motor_vehicle_rental_data.pickup_date.day` (integer)
    The day of the pickup date.

  - `additional_motor_vehicle_rental_data.pickup_date.year` (integer)
    The year of the pickup date.

  - `additional_motor_vehicle_rental_data.return_address` (object)
    The full address of the vehicle return location.

  - `additional_motor_vehicle_rental_data.return_date` (object)
    The scheduled vehicle return date. Must be on or after `pickup_date`.

  - `additional_motor_vehicle_rental_data.return_date.month` (integer)
    The month of the return date.

  - `additional_motor_vehicle_rental_data.return_date.day` (integer)
    The day of the return date.

  - `additional_motor_vehicle_rental_data.return_date.year` (integer)
    The year of the return date.

  - `additional_purchase_data` (object)
    Additional information about the purchase used for [Level 2 and Level 3 Processing](/guides/online-payments/payment-features/level-2-level-3-processing). Please note that Visa is ending its Level 2 offering in April 2026.

  - `additional_purchase_data.customer_reference_number` (string)
    A unique reference ID for the order such as a purchase order (PO) number or invoice number. A purchase order number (PO number) is a unique code assigned to a specific order of goods or services. The buyer creates this number when they make a purchase order. It helps both the buyer and the seller track the order, match invoices, and keep accurate financial records.

  - `additional_purchase_data.customs_duty_amount` (integer)
    The duty in cents on the total purchase amount for the order.

  - `additional_purchase_data.destination_country_code` (string)
    The ISO country code of the order destination.

  - `additional_purchase_data.destination_postal_code` (string)
    The postal code of the order destination (10 characters).

  - `additional_purchase_data.discount_amount` (integer)
    The amount in cents of the discount for the order. You must include this field to qualify for Level 3 interchange benefits. Even if the value is (0), you should pass the field to qualify for Level 3.

  - `additional_purchase_data.invoice_reference_number` (string)
    The order's invoice number (max 15 characters).

  - `additional_purchase_data.order_date` (object)

  - `additional_purchase_data.order_date.day` (integer)
    Day of purchase (between 1 and 31).

  - `additional_purchase_data.order_date.month` (integer)
    Month of purchase (between 1 and 12).

  - `additional_purchase_data.order_date.year` (integer)
    Year of purchase (4-digit).

  - `additional_purchase_data.sales_tax` (integer)
    - Total aggregate tax amount in cents for the entire purchase. Field is automatically calculated if you pass in the itemized tax amounts.
- For non-taxable transactions either set `sales_tax` to 0 or omit from payload and also set `tax_exempt` to **True**.
- Request must align so `amount_excluding_sales_tax` + `sales_tax` = `amount_including_sales_tax`.
- For Visa, this field no longer qualifies for lower interchange after April 17, 2026. Include `item_data` for Level 3 processing.

  - `additional_purchase_data.sales_tax_finix_generated` (integer)
    The sales tax amount in cents Finix calculated from the `item_data` line items.

  - `additional_purchase_data.ship_from_postal_code` (string)
    The postal code from where order is shipped (10 characters).

  - `additional_purchase_data.shipping_amount` (integer)
    The shipping cost in cents for the order.

  - `additional_purchase_data.tax_exempt` (boolean)
    - For tax exempt purchases set to **True**.
- If set to **True**, request can't include `sales_tax`.

  - `additional_purchase_data.item_data` (array)
    Additional information about the transaction. Used for Level 2 and Level 3 Processing.

  - `additional_purchase_data.item_data.amount_excluding_sales_tax` (integer)
    - Total cost of the line item in cents, excluding tax.
- Must align with `sales_tax` so `amount_excluding_sales_tax` + `sales_tax` = `amount_including_sales_tax`.

  - `additional_purchase_data.item_data.amount_including_sales_tax` (integer)
    - Total cost of the line item in cents, including tax.
- Must align with `sales_tax` so `amount_excluding_sales_tax` + `sales_tax` = `amount_including_sales_tax`.

  - `additional_purchase_data.item_data.commodity_code` (string)
    A commodity code is a numeric code representing a particular product or service as defined by the National Institute of Governmental Purchasing. The code can be 3, 5, 7, or 11 digits in length. The longer the code the more granular the description of the product/service. (max 12 characters).

  - `additional_purchase_data.item_data.cost_per_unit` (integer)
    The price in cents, excluding tax, of one unit of the item purchased.

  - `additional_purchase_data.item_data.item_description` (string)
    Required when `item_data` is supplied (max 25 characters).

  - `additional_purchase_data.item_data.item_discount_amount` (integer)
    The item discount amount in cents. You must include this field to qualify for Level 3 interchange benefits. Even if the value is (0), you should pass the field to qualify for Level 3.

  - `additional_purchase_data.item_data.merchant_product_code` (string)
    Merchant defined product code (max 12 characters).

  - `additional_purchase_data.item_data.quantity` (number)
    The number of items purchased. Must be greater than 0.

  - `additional_purchase_data.item_data.unit_of_measure` (string)
    The unit of measure of the purchased item (max 3 characters).

  - `additional_purchase_data.item_data.sales_tax_amount` (integer)
    The sales tax amount in cents for the line item.

  - `additional_purchase_data.item_data.sales_tax_rate` (number)
    The sales tax rate for the line item as a decimal (e.g., 0.25 equals 25%).
    Example: 0.25

  - `address_verification` (string)
    Details the results of the address verification checks.
    Enum: "POSTAL_CODE_AND_STREET_MATCH", "STREET_MATCH", "POSTAL_CODE_MATCH", "NO_ADDRESS", "NO_MATCH", "NOT_SUPPORTED", "UNKNOWN"

  - `amount` (integer)
    The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
    Example: 5000

  - `amount_requested` (integer)
    The `amount` that was requested to get debited from the `source` when the transaction was created, in cents (e.g., `100` = $1.00).
    Example: 100

  - `application` (string)
    ID of the `Application` associated with the resource.

  - `bank_return_details` (object)
    Details about a transfer that was returned and was unable to be processed. Only present when `state` is `RETURNED`

  - `bank_return_details.reason_code` (string)
    Return response code from the bank.

  - `bank_return_details.reason_message` (string)
    Detailed message explaining reason for the return.

  - `bank_return_details.reason_title` (string)
    Short message categorizing reason for the return.

  - `card_present_details` (object)
    Details needed to process card present transactions.

  - `card_present_details.approval_code` (string)
    Unique ID used to identify the approval of the `Transfer`.

  - `card_present_details.brand` (string)
    The brand of the card saved in the `Payment Instrument`.

  - `card_present_details.emv_data` (object)
    Encrypted card data used to process the transaction.

  - `card_present_details.emv_data.application_identifier` (string)
    ID of the application used in the transaction. Tag 9F06 from the EMVCo standard.

  - `card_present_details.emv_data.application_label` (string)
    EMV application label. Tag 50 from the EMVCo standard.

  - `card_present_details.emv_data.application_preferred_name` (string)
    EMV application label with formatting (if provided). Tag 9F12 from the EMVCo standard.

  - `card_present_details.emv_data.application_transaction_counter` (string)
    Transaction number for the EMV application. Tag 9F36 from the EMVCo standard.

  - `card_present_details.emv_data.cryptogram` (string)
    Cryptogram returned by the card. Tag 9F26 of the EMVCo standard.

  - `card_present_details.emv_data.issuer_code_table_index` (string)
    The alphabet code table (according to ISO 8859) used by the EMV application (if provided). Tag 9F11.

  - `card_present_details.emv_data.network_emv_response` (string)
    EMV response data returned by the card network.

  - `card_present_details.emv_data.pin_verified` (boolean)
    Whether the cardholder's PIN number was verified.

  - `card_present_details.emv_data.tags` (object)
    Include up to 50 `key: value` pairs to annotate requests with custom metadata.
- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.
(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

  - `card_present_details.entry_mode` (string)
    Details of the card payment method used to process the transaction.
The possible enums are:
- UNKNOWN - The method by which the payment card was used is unknown.
- SWIPED - The card was swiped through a POS terminal.
- CONTACTLESS - The payment was made by tapping a card on a POS terminal.
- CHIP_ENTRY - The payment card was inserted into a card reader.
    Enum: "UNKNOWN", "SWIPED", "CONTACTLESS", "CHIP_ENTRY"

  - `card_present_details.masked_account_number` (string)
    Last four digits of the bank account number.

  - `card_present_details.name` (string)
    The name of the bank account or card owner.

  - `card_present_details.digital_signature_file_id` (string)
    The ID of the file containing the digital signature captured during the transaction. If a signature was not collected, this field returns `null`.

  - `card_present_details.payment_type` (string)
    The type of `Payment Instrument` used in the transaction (or the original payment).

  - `currency` (string)
    ISO 4217 3-letter currency code.
    Enum: "CAD", "USD"

  - `created_via` (string)
    Gives more information about the product flow that was used to create the resource. Finix retains the right to add additional enums for this field without it being a breaking change.
    Enum: "CARD_PRESENT_ANDROID_APP", "CARD_PRESENT_ANDROID_APP_MANUAL_ENTRY", "CARD_PRESENT_ANDROID_D135_SDK", "CARD_PRESENT_DEVICE_READER_SDK", "CARD_PRESENT_IOS_APP", "CARD_PRESENT_IOS_APP_MANUAL_ENTRY", "CARD_PRESENT_IOS_D135_SDK", "CARD_PRESENT_IOS_TAP_TO_PAY", "CARD_PRESENT_IOS_TAP_TO_PAY_SDK", "CARD_PRESENT_SEMI_INTEGRATED_API", "CARD_PRESENT_STANDALONE", "CARD_PRESENT_STANDALONE_MANUAL_ENTRY", "CHECKOUT_FORM", "CYBERSOURCE", "DEVICE_ORDER", "PAYMENT_LINK", "PAYOUT_LINK", "PLUGIN_ADMOJI", "PLUGIN_CHECKOUT_CHAMP", "PLUGIN_FYNTEK", "PLUGIN_GAMBLE_ID", "PLUGIN_GAMMA_SWEEP", "PLUGIN_GR4VY", "PLUGIN_HYPERSWITCH", "PLUGIN_LACORE", "PLUGIN_PAYSIGHT", "PLUGIN_PRYZR", "PLUGIN_SERVMAN", "PLUGIN_SOAP_PAY", "PLUGIN_STICKYIO", "PLUGIN_TAGADA", "PLUGIN_WOO_COMMERCE", "PLUGIN_VRIO", "SUBSCRIPTION", "UNKNOWN", "VIRTUAL_TERMINAL"

  - `destination` (string)
    ID of the `Payment Instrument` where funds will be sent.

  - `device` (string)
    The ID of the `Device` resource the `Transfer` was created under.

  - `externally_funded` (string)
    Details if the `Transfer` will be settled externally by card processors.

  - `expires_at` (string)
    The timestamp indicating when a held refund expires. Only returned for reversals created with refund holds enabled. A refund that can't be covered by this time fails with `failure_code: REFUND_EXPIRED`. For more information, see [Pending refunds](/guides/after-the-payment/refunds/pending-refunds).

  - `failure_code` (string)
    The code of the failure so the decline can be handled programmatically. For more info on how to handle the failure, see [Failure Codes](/additional-resources/developers/implementation-and-testing/failure-codes).

  - `failure_message` (string)
    A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

  - `fee` (integer)
    The minimum amount of the `Transfer` you'd like to collect as your fee in cents. Defaults to zero (must be less than or equal to the `amount`).
- If the fees applied by the 'Fee Profile' are ***higher*** than the value passed in 'fee', 'fee' will not be applied and have no effect.
- If the fees applied by the 'Fee Profile' are ***lower*** than the value passed in 'fee', an additional fee is be applied, in addition to the fees generated by the `Fee Profile`.
  - The additional fee is equal to the difference between the value passed in 'fee' and the fees generated by the `Fee Profile`.

  - `fee_profile` (string)
    The ID of the `Fee Profile` that will be used for calculating fees for this transfer.

  - `funds_flow_type` (string)
    The type of disbursement to perform. Defaults to `GENERAL_PAYOUT`.
    Enum: "GENERAL_PAYOUT", "ME_TO_ME", "GOVERNMENT"

  - `idempotency_id` (string)
    Pass any randomly generated or internal ID to [idempotently](/api/section/idempotent-requests) identify `Transfers`, `Authorizations`, or refund requests.

  - `ip_address_details` (object)
    Always returns `null`.

  - `merchant` (string)
    The ID of the `Merchant` resource the `Transfer` was created under.
    Example: MUxxxxxxxxxxxxxxxxxxxxxxx

  - `merchant_identity` (string)
    The ID of `Identity` resource used by the `Merchant` the `Transfer` was created under.
    Example: IDxxxxxxxxxxxxxxxxxxxxxxxx

  - `messages` (array)
    A list of messages that provides additional details.

  - `network_details` (object)
    Contains network-specific fields used by issuers to identify transactions.

  - `network_details.brand` (string)
    Card brand associated with the saved payment instrument.
    Example: VISA

  - `network_details.authorization_code` (string)
    Code returned by the issuing bank when a transaction is authorized.
    Example: 840735

  - `network_details.acquirer_reference_number` (string)
    Unique identifier banks use to trace chargebacks or refunds. Available only for Mastercard transactions; otherwise returns `null`.
    Example: 521600805857

  - `operation_key` (string)
    The operation performed in the transaction. `REFUND_MERCHANT_DEBIT_ADJUSTMENT` and `REFUND_MERCHANT_CREDIT_ADJUSTMENT` are created by Finix for [refund holds](/guides/after-the-payment/refunds/pending-refunds) and cannot be passed in requests.
    Enum: "CARD_NOT_PRESENT_CAPTURE", "CARD_NOT_PRESENT_REFUND", "CARD_NOT_PRESENT_SALE", "CARD_NOT_PRESENT_UNREFERENCED_REFUND", "CARD_PRESENT_AUTHORIZATION", "CARD_PRESENT_DEBIT", "CARD_PRESENT_SALE", "CARD_PRESENT_UNREFERENCED_REFUND", "INSTANT_APPLICATION_FUNDING_PULL_FROM_ACH", "INSTANT_APPLICATION_FUNDING_PULL_FROM_CARD", "INSTANT_APPLICATION_FUNDING_PULL_FROM_FED_NOW", "INSTANT_APPLICATION_FUNDING_PULL_FROM_SAME_DAY_ACH", "INSTANT_APPLICATION_FUNDING_PUSH_TO_ACH", "INSTANT_APPLICATION_FUNDING_PUSH_TO_CARD", "INSTANT_APPLICATION_FUNDING_PUSH_TO_FED_NOW", "INSTANT_APPLICATION_FUNDING_PUSH_TO_SAME_DAY_ACH", "INSTANT_MERCHANT_FUNDING_PULL_FROM_ACH", "INSTANT_MERCHANT_FUNDING_PULL_FROM_FED_NOW", "INSTANT_MERCHANT_FUNDING_PULL_FROM_SAME_DAY_ACH", "INSTANT_MERCHANT_FUNDING_PUSH_TO_ACH", "INSTANT_MERCHANT_FUNDING_PUSH_TO_CARD", "INSTANT_MERCHANT_FUNDING_PUSH_TO_FED_NOW", "INSTANT_MERCHANT_FUNDING_PUSH_TO_SAME_DAY_ACH", "MERCHANT_CREDIT_ADJUSTMENT", "MERCHANT_DEBIT_ADJUSTMENT", "PULL_FROM_ACH", "PULL_FROM_CARD", "PULL_FROM_SAME_DAY_ACH", "PUSH_TO_ACH", "PUSH_TO_CARD", "PUSH_TO_SAME_DAY_ACH", "REFUND_MERCHANT_CREDIT_ADJUSTMENT", "REFUND_MERCHANT_DEBIT_ADJUSTMENT", "SALE", "STANDARD_APPLICATION_FUNDING_PULL_FROM_ACH", "STANDARD_APPLICATION_FUNDING_PULL_FROM_CARD", "STANDARD_APPLICATION_FUNDING_PULL_FROM_SAME_DAY_ACH", "STANDARD_APPLICATION_FUNDING_PUSH_TO_ACH", "STANDARD_APPLICATION_FUNDING_PUSH_TO_CARD", "STANDARD_APPLICATION_FUNDING_PUSH_TO_SAME_DAY_ACH", "STANDARD_MERCHANT_FUNDING_PULL_FROM_ACH", "STANDARD_MERCHANT_FUNDING_PULL_FROM_CARD", "STANDARD_MERCHANT_FUNDING_PULL_FROM_SAME_DAY_ACH", "STANDARD_MERCHANT_FUNDING_PUSH_TO_ACH", "STANDARD_MERCHANT_FUNDING_PUSH_TO_CARD", "STANDARD_MERCHANT_FUNDING_PUSH_TO_SAME_DAY_ACH", "UNREFERENCED_REFUND"

  - `parent_transfer` (string)
    ID of the original parent `Transfer`. Only present when `type` is `REVERSAL`.

  - `parent_transfer_trace_id` (string)
    The `trace_id` of the original parent `Transfer`. Only present when `type` is `REVERSAL`.

  - `processed_at` (string)
    The timestamp of when the `Transfer` was processed.

  - `pull_transfer_id` (string)
    The ID of the corresponding pull `Transfer` linked in a `ME_TO_ME` transaction.

  - `raw` (any)
    Raw response from the processor.

  - `ready_to_settle_at` (string)
    The timestamp indicating when the `Transfer` is ready to be settled.

  - `receipt_last_printed_at` (string)
    Timestamp when the receipt was last printed.

  - `security_code_verification` (string)
    Details the results of the Card Verification Code check.
    Enum: "MATCHED", "UNKNOWN", "UNMATCHED"

  - `source` (string)
    The ID of the `Payment Instrument` that will be debited and performing the `Transfer`.

  - `split_transfers` (array)
    Array containing the resource IDs of the `Split Transfers` generated from the `Transfer`.
For standard split transactions, this contains IDs of `Split Transfers` created from the parent `Transfer`.
For [dispute adjustment transfers](/api/disputes/listdisputesadjustments) on split transactions:
- When a `MERCHANT_DEBIT` or `MERCHANT_CREDIT` adjustment `Transfer` is created for a [Dispute](/api/disputes) on a split transaction, this array contains the IDs of `Split Transfers` created for each participant.
- The `Split Transfers` are created proportionally based on each merchant's share of the original sale.

For more information, see [Split Transactions - Disputes](../../../../guides/online-payments/payment-features/split-transactions#disputes).

  - `state` (string)
    The status of the `Transfer`.
    Enum: "CANCELED", "PENDING", "FAILED", "SUCCEEDED", "UNKNOWN", "RETURNED"

  - `statement_descriptor` (string)
    The description of the `Merchant` that appears on the buyer's bank or card statement.

  - `subtype` (string)
    Additional information describing the `payment_type`.
For [dispute adjustment transfers](/api/disputes/listdisputesadjustments) (`type: DISPUTE`):
- `MERCHANT_DEBIT`: Funds are pulled from the merchant(s) when a chargeback occurs. For split transactions, this creates `Split Transfers` with `type: DISPUTE_MERCHANT_DEBIT`.
- `MERCHANT_CREDIT`: Funds are returned to the merchant(s) when a `Dispute` is ruled in their favor. For split transactions, this creates `Split Transfers` with `type: DISPUTE_MERCHANT_CREDIT`.

For [refund hold](/guides/after-the-payment/refunds/pending-refunds) adjustment transfers:
- `REFUND_MERCHANT_DEBIT_ADJUSTMENT`: Funds are pulled from the merchant to cover a held refund.
- `REFUND_MERCHANT_CREDIT_ADJUSTMENT`: Funds are returned to the merchant when the held refund is submitted or expires.
    Enum: "API", "DISPUTE", "MERCHANT_CREDIT", "MERCHANT_CREDIT_ADJUSTMENT", "MERCHANT_DEBIT", "MERCHANT_DEBIT_ADJUSTMENT", "PLATFORM_CREDIT", "PLATFORM_CREDIT_ADJUSTMENT", "PLATFORM_DEBIT", "PLATFORM_DEBIT_ADJUSTMENT", "REFUND_MERCHANT_CREDIT_ADJUSTMENT", "REFUND_MERCHANT_DEBIT_ADJUSTMENT", "SETTLEMENT_MERCHANT", "SETTLEMENT_NOOP", "SETTLEMENT_PARTNER", "SETTLEMENT_PLATFORM", "SPLIT_PAYOUT", "SPLIT_PAYOUT_ADJUSTMENT", "SYSTEM"

  - `supplemental_fee` (string)
    Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

  - `tip_amount` (integer)
    The tip amount included in the total amount.

  - `trace_id` (string)
    Trace ID of the `Transfer`. The processor sends back the `trace_id` so you can track the `Transfer` end-to-end.

  - `type` (string)
    Type of `Transfer`.
    Enum: "DEBIT", "CREDIT", "REVERSAL", "ADJUSTMENT", "DISPUTE", "RESERVE", "SETTLEMENT", "UNKNOWN"

  - `third_party_details` (object)
    Details about the third-party processor associated with the `Transfer`.

  - `third_party_details.external_trace_id` (string)
    The trace ID returned by the third-party processor used to identify the `Transfer`.

  - `third_party_details.type` (string)
    The name of the third-party processor associated with the `Transfer`.
    Enum: "CYBERSOURCE"

  - `_links` (object)

  - `_links.application` (object)
    Link to the `Application` the request was made under.

  - `_links.application.href` (string)

  - `_links.destination` (object)
    Link to the `Payment Instrument` where funds are getting sent.

  - `_links.destination.href` (string)

  - `_links.device` (object)
    Link to the `Device` the request was made under.

  - `_links.device.href` (string)

  - `_links.disputes` (object)
    Link to the `Dispute` the request was made under.

  - `_links.disputes.href` (string)

  - `_links.fee_profile` (object)
    Link to the `fee_profile` the request was made under.

  - `_links.fee_profile.href` (string)

  - `_links.fees` (object)
    Link to the `fees` the request is associated with.

  - `_links.fees.href` (string)

  - `_links.merchant_identity` (object)
    Link to the `Identity` the `Merchant` was created under and the `Transfer` was submitted with.

  - `_links.merchant_identity.href` (string)

  - `_links.payment_instruments` (object)
    Link to the `Payment Instrument` associated with the Transfer.

  - `_links.payment_instruments.href` (string)

  - `_links.disputed_transfer` (object)
    Link to the `Transfer` the `Dispute` is about.

  - `_links.disputed_transfer.href` (string)

  - `_links.parent` (object)
    Link to the original resource that was used in the request.

  - `_links.parent.href` (string)

  - `_links.reversals` (object)
    Link to the `reversals` associated with the `Transfer`.

  - `_links.reversals.href` (string)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.source` (object)
    Link to the `Payment Instrument` the `Transfer` was created under.

  - `_links.source.href` (string)

## Response 201 headers (application/json):

  - `date` (string)
    A response header indicating the date and time of the API request.
    Example: Tue, 08 Jul 2025 17:38:01 GMT

  - `finix-apiuser-role` (string)
    This response header indicating the role of the user who sent the API request.
    Enum: "ROLE_PLATFORM", "ROLE_PARTNER", "ROLE_MERCHANT"

  - `x-request-id` (string)
    This response header provides a unique identifier for the API request.
    Example: 055972f6534f92a896fbb61b11313ebb

## Response 400:

  - `400` (unknown)
    Bad Request. The server cannot process the request due to malformed syntax or invalid data.

## Response 400 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 401:

  - `401` (unknown)
    Unauthorized. Authentication is required and has failed or has not been provided.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403:

  - `403` (unknown)
    Forbidden. The client is authenticated but does not have permission to access the resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404:

  - `404` (unknown)
    Not Found. The requested resource could not be found on the server.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406:

  - `406` (unknown)
    Not Acceptable. The server could not accept the submitted request. Confirm how the request was formatted and submitted.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 422:

  - `422` (unknown)
    Unprocessable Entity. The syntax of the request content was correct, but the server was unable to process the contained instructions.

## Response 422 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 201 examples:

  - `Transfer - Minimal Fields` (unknown)

  - `Transfer - All Fields` (unknown)

  - `Transfer - Canada - EFT` (unknown)

  - `Transfer - 3D Secure` (unknown)

  - `Transfer - 3D Secure Session` (unknown)

  - `Transfer - Bank Payout` (unknown)

  - `Transfer - Bank Payout - Same Day` (unknown)

  - `Transfer - Convenience Fee` (unknown)

  - `Transfer - Card Payout` (unknown)

  - `Transfer - Card Present` (unknown)

  - `Transfer - Card Present - Unreferenced Refund` (unknown)

  - `Transfer - Card Verification Checks` (unknown)

  - `Transfer - Debit Bank Account` (unknown)

  - `Transfer - Fee Profile` (unknown)

  - `Transfer - Motor Vehicle Rental` (unknown)

  - `Transfer - Lodging` (unknown)

  - `Transfer - Gaming` (unknown)

  - `Transfer - Level 2 Processing` (unknown)

  - `Transfer - Level 3 Processing` (unknown)

  - `Transfer - Partial Authorization` (unknown)

  - `Transfer - Recurring or Unscheduled` (unknown)

  - `Transfer - Rent Surcharge` (unknown)

  - `Transfer - Split Transaction` (unknown)

  - `Transfer - Surcharge` (unknown)

  - `Transfer - Me to Me Payout - Card` (unknown)

  - `Transfer - Me to Me Payout - Bank` (unknown)

  - `Transfer - Me to Me Payout - Bank - Same Day` (unknown)

## Response 400 examples:

  - `Malformed request` (unknown)

## Response 401 examples:

  - `Unauthorized request` (unknown)

## Response 403 examples:

  - `Forbidden request` (unknown)

## Response 404 examples:

  - `Not found` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

## Response 422 examples:

  - `Source instrument not found` (unknown)

  - `3d_secure_authentication and 3d_secure_session used together` (unknown)

  - `3D Secure Session belongs to a different Payment Instrument` (unknown)

  - `3D Secure Session already used` (unknown)

